# Origami samples

## ``attachments``

Adding a file attachment to a PDF document.

## ``javascript``

Adding JavaScript to a document and emulating it.

## ``encryption``

PDF encryption (supports RC4 40-128 bits, and AES128).
Create a new encrypted document.

## ``signature``

PDF digital signatures. Create a new document and signs it.

## ``flash``

Create a document with an embedded SWF file.

## ``loop``

Create a looping document using ``GoTo`` and ``Named``  actions.

## ``events``

Create a document running JavaScript on various events.

## ``uri``

Various methods for connecting to a remote URL.
